Subject: bug#28648: Make mode-line number display consistent when both line and col numbers are shown.

From: Robert Weiner <[email-masked]>
Date: Fri, 29 Sep 2017 15:23:30 -0400

On Fri, Sep 29, 2017 at 3:15 PM, Eli Zaretskii <[email-masked]> wrote:

>
> If you are asking for an optional feature that would display these
> indicators as we did 15 years ago, I'm okay with adding it.  (We
> already have quite a few optional variations on similar themes, but
> one more cannot do too much harm, I guess.)
>

​Can you explain how that would work?  How would you modify the line and
col display format?  Do you mean applying my patch but leaving the default
format strings as they are now?
​

>
> My interpretation of what you said originally was that you want to
> unconditionally revert to pre-22 behavior, which is quite a different
> request.
>

​We have two separate issues here:

1. The default line and col display format: I was suggesting the change for
consistency sake.​  If it could be made an easy-to-trigger option on the
popup menu that controls this display, I could support that.

2. The ability to easily change the line and col display format strings: My
patch solves that issue.

Bob